% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/ma_loess_norm.R
\name{loess_normalization}
\alias{loess_normalization}
\title{loess_normalization}
\usage{
loess_normalization(expressions, iterations = 2, small.positive = 0.1,
  sample.size = 200, num.cores = max(floor(detectCores()/2), 1),
  normalization.method = "mean")
}
\arguments{
\item{expressions}{Gene expression values with probes in rows and samples in columns}

\item{iterations}{Number of iterations to run (Default: 2)}

\item{small.positive}{Number to replace negative and zero expressions with (Default: 0.1).}

\item{sample.size}{Number of combinations of samples to run (Default: 200).}

\item{num.cores}{Number of cores to use (Default: half of them)}

\item{noramlization.method}{Normalization method (Default: mean).}
}
\value{
data.frame of normalized expression values
}
\description{
Normalize using MvA loess using multiple processors
}
\details{
For analyses where the number of samples makes all-against-all
normalization prohibitive, this variant subselects a set of
comparisons and runs them, iterating a specific number of times
using as many cores as possible.
}
\author{
Don Armstrong
}

